Updates the equipment_brand object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

equipment_brand
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the equipment brand

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "2316a7b5-14fb-433b-a781-00be0980c2f6",
  "name": "sample string 2",
  "code": "sample string 3",
  "sales_organization_id": "39ddc378-a825-42f8-b396-6fe9b4fb98e1",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "9f362d36-46dc-459b-89ca-861548303ae9",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "a4a59430-393b-482e-a957-24550dac22c1",
    "db_currency_id": "cc3fbd25-f7f0-49ab-ba49-1379c37be92c",
    "db_language_id": "789febf4-4e5a-4bf3-b52b-0ed40ad3c096",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-27T15:27:00.9447472+00:00"
  },
  "modified_dateutc": "2026-10-27T15:27:00.9447472+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.